Bug 102458 - KWin mouseover highlighting
KWin mouseover highlighting
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: redhat-artwork (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-15 10:26 EDT by Peter Backlund
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-18 06:21:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
2-line patch to implement this (573 bytes, patch)
2003-08-15 11:32 EDT, Peter Backlund
no flags Details | Diff

  None (edit)
Description Peter Backlund 2003-08-15 10:26:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
Summary says it all: it would be nice to have the same mouseover highlight
effect in kwin as in metacity.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:

    

Additional info:
Comment 1 Peter Backlund 2003-08-15 11:32:17 EDT
Created attachment 93661 [details]
2-line patch to implement this

Patch against redhatclient.cpp from CVS 2003-08-15. Just runs
KPixmapEffect::intensity on the background pixmap. Tested on RH 9, works as
expected.
Comment 2 Peter Backlund 2003-08-15 12:02:43 EDT
Submitted new patch to fix another problem with leftmost button being too
narrow, with this patch included. See this
https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=93664&action=view

instead.
Comment 3 Alexander Larsson 2003-08-18 03:38:57 EDT
harald, can you please review these two patches? I just built a version of
redhat-artwork (0.79) that has your fixes from bug 100492, and I just don't know
the status of this issue.
Comment 4 Harald Hoyer 2003-08-18 06:21:32 EDT
looks good... patch checked in CVS

Note You need to log in before you can comment on or make changes to this bug.